まつもと ゆきひろです

In message "[ruby-list:34194] Re: 「プログラミング Ruby  」 p.247 グローバル変数"
    on 02/03/04, Noritsugu Nakamura <nnakamur / mxq.mesh.ne.jp> writes:

|> 原書の原稿を書いている時点ではそうでした。その後、チェックが
|> 厳しくなったので、"$-"で始まる変数はオプション変数しか使えな
|> いんじゃないかと思います。
|
|ruby-1.7.x での話でしょうか?
|あと、「しか使えない」って意味も良く分からないです。
|
|短命そうな 1.6.7 で ruby -e '$-1 = 2 ; p $-1'
|とできるのですが。

あらら、やったような気がしてたのですが、今ソースを読んだら

	    /* xxx shouldn't check if valid option variable */

というコメントがあるだけでした。こういうケースではたいてい小
人さんがやってくれてるんだけど。^^;;;

                                まつもと ゆきひろ /:|)